# -*- coding: utf-8 -*-
from setuphelpers import *

"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls
bin_contains = "ConEmuSetup"


def install():
    # Declaring local variables
    package_version = control.get_software_version()
    bin_name = glob.glob("*ConEmuSetup*.exe")[0]

    print("Installing: %s" % control.package)
    # if iswin64():
    run('%s /p:x64 /qn"' % bin_name)
    # else:
    #    uninstallkey.append('{1DAA595D-AB19-435F-B18F-3BE1DEBE00E8}')
    #    run('%s /p:x86 /qn"' % bin_name)
    add_to_system_path(makepath(programfiles, "ConEmu", "ConEmu.exe"))
    filecopyto("ConEmu.xml", makepath(programfiles, "ConEmu"))
    for app in installed_softwares("conemu"):
        key = app["key"]
    uninstallkey.append(key)


def uninstall():
    remove_tree(makepath(programfiles, "ConEmu"))
    remove_programs_menu_folder("ConEmu")
    for app in installed_softwares("conemu"):
        key = app["key"]
        if uninstall_key_exists(key):
            run(uninstall_cmd(key))


